<!-- Start Top Nav -->
<nav class="navbar navbar-expand-lg bg-dark navbar-light d-none d-lg-block" id="templatemo_nav_top">
    <div class="container text-light">
        <div class="w-100 d-flex justify-content-between">
            <div>
                <i class="fa fa-envelope mx-2"></i>
                <a class="navbar-sm-brand text-light text-decoration-none" href="#">
                    myhoneymierenaturala@gmail.com</a>
                <i class="fa fa-phone mx-2"></i>
                <a class="navbar-sm-brand text-light text-decoration-none" href="#">+40 0742 860 115</a>
            </div>
            <div>
                <a class="text-light" href="https://www.facebook.com/MyHoneyMiereNaturala" target="_blank"
                   rel="sponsored"><i class="fab fa-facebook-f fa-sm fa-fw me-2"></i></a>
                <a class="text-light" href="#" target="_blank"
                   rel="sponsored"><i class="fab fa-whatsapp fa-sm fa-fw me-2"></i></a>

            </div>
        </div>
    </div>
</nav>
<!-- Close Top Nav -->


<!-- Header -->
<nav class="navbar sticky-top navbar-expand-lg navbar-light bg-light">
    <div class="container  d-flex justify-content-between align-items-center">

        <a class="navbar-brand text-success logo h1 align-self-center" href="{% url 'homepage' %}">
            My Honey
        </a>

        <button class="navbar-toggler border-0" type="button" data-bs-toggle="collapse"
                data-bs-target="#templatemo_main_nav" aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="align-self-center collapse navbar-collapse flex-fill  d-lg-flex justify-content-lg-between"
             id="templatemo_main_nav">
            <div class="flex-fill">
                <ul class="nav navbar-nav d-flex justify-content-between mx-lg-auto">
                    {% for category in categories %}
                        <li class="nav-item">
                            <a class="nav-link"
                               href="{% url 'products_per_category' category.id %}">{{ category.name }}</a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
            <div class="navbar align-self-center d-flex">
                <a class="nav-icon position-relative text-decoration-none" data-bs-toggle="modal"
                   data-bs-target="#exampleModal">
                    <i class="fa fa-fw fa-user text-dark mr-2"></i>
                    {% if user.is_authenticated %}
                        <span class="position-absolute top-0 left-100 translate-middle badge rounded-pill bg-light text-dark"></span>
                    {% endif %}
                </a>
                {% if user.is_authenticated %}
                    <a class="nav-icon position-relative text-decoration-none" href="{% url 'open_cart_view' %}">
                    <i class="fa fa-fw fa-cart-arrow-down text-dark mr-1"></i>
                    <span class="position-absolute top-0 left-100 translate-middle badge rounded-pill bg-light text-dark">
                        {{ cart_count }} </span>
                {% else %}
                    <a class="nav-icon position-relative text-decoration-none" data-bs-toggle="modal"
                       data-bs-target="#exampleModal">
                    <i class="fa fa-fw fa-cart-arrow-down text-dark mr-1"></i>
                    <span class="position-absolute top-0 left-100 translate-middle badge rounded-pill bg-light text-dark"></span>
                {% endif %}
                </a>
            </div>
        </div>
    </div>
</nav>
<!-- Close Header -->

<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"> Logheaza-te </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            {% if request.user.is_authenticated %}
                <div class="modal-body">
                <div class="card-body text-center">
                    <a href="{% url 'logout' %}" class="btn btn-danger"> Deconectare {{ request.user.username }}</a>
                </div>
            {% else %}
                <div class="row">
                    <div class="card-body text-center">
                        <form method="post" enctype="multipart/form-data" action="{% url 'login' %}">
                            {% csrf_token %}
                            {{ user_login_form.as_p }}
                             <hr class="dropdown-divider">
                            <button type="submit" class="btn btn btn-success">Login</button>
                             <hr class="dropdown-divider">
                            <a href="{% url 'password_reset' %}" class="btn btn-danger">Reset your password</a>
                        </form>
                         <hr class="dropdown-divider">
                    </div>
                </div>
                <div class="card-body text-center">
                    <a class="btn btn-success" href="{% url 'register' %}">Inregistrare</a>
                </div>
            {% endif %}
            </div>
        </div>
    </div>
</div>


